import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:rogapp/pages/search/search_page.dart';

class HomePage extends GetView{
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
          elevation: 0,
          backgroundColor: Colors.white,
          title: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Text("app_title".tr, 
                style: const TextStyle(
                  color: Colors.blue
                ),
              ),
              InkWell(
                onTap: (){
                   Navigator.push(context, MaterialPageRoute(builder: (context) =>  SearchPage()));
                },
                child: Container(
                height: 32,
                width: 75,
                decoration: BoxDecoration(
                  color: Colors.blue,
                  borderRadius: BorderRadius.circular(25),
                  
                ),
                child: const Center(child: Icon(Icons.search),),
                          ),
              ),
            ],
          ),
        ),
      body: Container(),
    );
  }

}